#part_name="xc7a100tcsg324-2"

## Clock signal Sch name = CLK25MHZ
set_property PACKAGE_PIN P17 [get_ports clk]							
	set_property IOSTANDARD LVCMOS33 [get_ports clk]
	create_clock -add -name sys_clk_pin -period 40.00 -waveform {0 5} [get_ports clk]
 
## LEDs Sch name = sysled
set_property PACKAGE_PIN M16 [get_ports sysled]					
	set_property IOSTANDARD LVCMOS33 [get_ports sysled]

##RS232 Interface
##Sch name = UART_RXD_IN
#set_property PACKAGE_PIN L18 [get_ports RsRx]						
	#set_property IOSTANDARD LVCMOS33 [get_ports RsRx]
	
##Sch name = UART_TXD_OUT
#set_property PACKAGE_PIN M18 [get_ports RsTx]						
	#set_property IOSTANDARD LVCMOS33 [get_ports RsTx]

set_property PACKAGE_PIN R15 [get_ports LED_o]						
	set_property IOSTANDARD LVCMOS33 [get_ports LED_o]
	
set_property PACKAGE_PIN P15 [get_ports LED_r]						
	set_property IOSTANDARD LVCMOS33 [get_ports LED_r]
	
##FT232RL_RS232 Interface
##Sch name = UART_RXD_IN = FPGA_RX J2_30
set_property PACKAGE_PIN T4 [get_ports FT232RL_RX]		
	set_property IOSTANDARD LVCMOS33 [get_ports FT232RL_RX]
	
##Sch name = UART_TXD_OUT = FPGA_TX J2_28
set_property PACKAGE_PIN P5 [get_ports FT232RL_TX]						
	set_property IOSTANDARD LVCMOS33 [get_ports FT232RL_TX]
	
##UM232H_RS232 Interface
##Sch name = UART_RXD_IN = FPGA_RX J2_43
#set_property PACKAGE_PIN M3 [get_ports UM232H_RX]			
	#set_property IOSTANDARD LVCMOS33 [get_ports UM232H_RX]
##Sch name = UART_TXD_OUT = FPGA_TX J2_47
#set_property PACKAGE_PIN M1 [get_ports UM232H_TX]				
	#set_property IOSTANDARD LVCMOS33 [get_ports UM232H_TX]
		
		
##UM232H_FIFO Interface
## ACBUS Sch name = ACBUS
#AC0=j2_32
set_property PACKAGE_PIN R3 [get_ports RXF]					
	set_property IOSTANDARD LVCMOS33 [get_ports RXF]
#AC1=j2_36
set_property PACKAGE_PIN M4 [get_ports TXE]					
	set_property IOSTANDARD LVCMOS33 [get_ports TXE]
#AC2=j2_42
set_property PACKAGE_PIN N2 [get_ports RD]					
	set_property IOSTANDARD LVCMOS33 [get_ports RD]
#AC3=j2_38
set_property PACKAGE_PIN R1 [get_ports WR]					
	set_property IOSTANDARD LVCMOS33 [get_ports WR]
#AC4=j2_40
set_property PACKAGE_PIN P2 [get_ports SIWU]					
	set_property IOSTANDARD LVCMOS33 [get_ports SIWU]
#AC5=j2_34
set_property PACKAGE_PIN P3 [get_ports CLKOUT]					
	set_property IOSTANDARD LVCMOS33 [get_ports CLKOUT]
	create_clock -add -name sys_clkout_pin -period 16.66 -waveform {0 5} [get_ports CLKOUT]
	set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets {CLKOUT_IBUF}]
#AC6=j2_44
set_property PACKAGE_PIN L1 [get_ports OE]					
	set_property IOSTANDARD LVCMOS33 [get_ports OE]
#AC7=j2_48
set_property PACKAGE_PIN M2 [get_ports PWRSAV]					
	set_property IOSTANDARD LVCMOS33 [get_ports PWRSAV]

## Data Sch name = D
#j2_47
set_property PACKAGE_PIN M3 [get_ports {D[0]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[0]}]
#j2_43
set_property PACKAGE_PIN M1 [get_ports {D[1]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[1]}]
#j2_41
set_property PACKAGE_PIN N1 [get_ports {D[2]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[2]}]
#j2_39
set_property PACKAGE_PIN R2 [get_ports {D[3]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[3]}]
#j2_37
set_property PACKAGE_PIN T1 [get_ports {D[4]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[4]}]
#j2_35
set_property PACKAGE_PIN N4 [get_ports {D[5]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[5]}]
#j2_33
set_property PACKAGE_PIN P4 [get_ports {D[6]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[6]}]
#j2_31
set_property PACKAGE_PIN T3 [get_ports {D[7]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[7]}]


## AD7356_12
set_property PACKAGE_PIN F6 [get_ports AD7356_12_nCS]
#j1_44
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_12_nCS]
set_property PACKAGE_PIN G6 [get_ports AD7356_12_SCK]
#j1_43	
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_12_SCK]
set_property PACKAGE_PIN C7 [get_ports AD7356_12_SDO_A]
#j1_47
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_12_SDO_A]
set_property PACKAGE_PIN D8 [get_ports AD7356_12_SDO_B]
#j1_48
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_12_SDO_B]
	
## AD7356_34
set_property PACKAGE_PIN F4 [get_ports AD7356_34_nCS]
#j1_10
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_34_nCS]
set_property PACKAGE_PIN D3 [get_ports AD7356_34_SCK]
#j1_11	
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_34_SCK]
set_property PACKAGE_PIN E3 [get_ports AD7356_34_SDO_A]
#j1_12
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_34_SDO_A]
set_property PACKAGE_PIN F3 [get_ports AD7356_34_SDO_B]
#j1_9
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_34_SDO_B]
	
## AD7356_56
set_property PACKAGE_PIN K2 [get_ports AD7356_56_nCS]
#j1_4
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_56_nCS]
set_property PACKAGE_PIN G2 [get_ports AD7356_56_SCK]
#j1_7	
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_56_SCK]
set_property PACKAGE_PIN H2 [get_ports AD7356_56_SDO_A]
#j1_8
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_56_SDO_A]
set_property PACKAGE_PIN K1 [get_ports AD7356_56_SDO_B]
#j1_3
	set_property IOSTANDARD LVCMOS33 [get_ports AD7356_56_SDO_B]

#Clocks:
#set_clock_groups -asynchronous \
#-group {clk100 clk100_clk_wiz_0 } \
#-group {clk25 clk25_clk_wiz_0 } \
#-group {clk160 clk160_clk_wiz_0 } \
#-group {clkin clkin_clk_wiz_0 }
	
#BITSTREAM:
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]